package com.zanxiang.game.module.manage.pojo.params;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

/**
 * @author : lingfeng
 * @time : 2024-04-29
 * @description : 小程序用户信息提交
 */
@Data
public class UserAppletSubmitParam {

    /**
     * 加密标识
     */
    @NotNull(message = "加密标识不可为空")
    @ApiModelProperty(notes = "加密标识")
    private String sign;

    /**
     * 请求时间
     */
    @NotNull(message = "请求时间不可为空")
    @ApiModelProperty(notes = "请求时间, 时间戳 : 13位")
    private Long signTime;

    /**
     * 应用id
     */
    @NotBlank(message = "应用id不可为空")
    @ApiModelProperty(notes = "应用id")
    private String appId;

    /**
     * 用户openId
     */
    @NotBlank(message = "用户openId不可为空")
    @ApiModelProperty(notes = "用户openId")
    private String openId;

    /**
     * 渠道参数
     */
    @NotBlank(message = "渠道参数不可为空")
    @ApiModelProperty(notes = "渠道参数")
    private String channel;
}
